$(function(){
    $('.btn-trigger').on('click', function() {
      $(this).toggleClass('active');
      $("#g-nav").toggleClass('panelactive');
    });
  });

$("#g-nav a").click(function () {//ナビゲーションのリンクがクリックされたら
    $(".btn-trigger").removeClass('active');//ボタンの activeクラスを除去し
    $("#g-nav").removeClass('panelactive');//ナビゲーションのpanelactiveクラスも除去
});

$(function(){
  $('.qa-wrap .question').click(function () {
    $(this).next('.answer').slideToggle();
    $(this).find('.plus').toggleClass('move');
  });
});

!(function () {
    const viewport = document.querySelector('meta[name="viewport"]');
    function switchViewport() {
      const value =
        window.outerWidth > 374
          ? "width=device-width,initial-scale=1"
          : "width=374";
      if (viewport.getAttribute("content") !== value) {
        viewport.setAttribute("content", value);
      }
    }
    addEventListener("resize", switchViewport, false);
    switchViewport();
  })();

  $(window).scroll(function () {
    var now = $(window).scrollTop();
    if (now > 200) {
      $('.pagetop').fadeIn("slow");
    } else {
      $('.pagetop').fadeOut('slow');
    }
  });
 // smooth scroll
$(function () {
    (function () {
      var top = $('#pagetop');
      top.click(function () {
        $('body,html').animate({
          scrollTop: 0
        }, 1000);
        return false;
      });
    })();
  })

// ドロワーオープン時背景固定
jQuery(".btn-trigger").on("click", function () {
    jQuery("html").toggleClass("is-fixed");
  });